Module java.base
Package java.net

# Class SocketAddress

java.lang.Object
java.net.SocketAddress

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InetSocketAddress`, `UnixDomainSocketAddress`

public abstract class SocketAddress extends Object implements Serializable
This class represents a Socket Address with no protocol attachment. As an abstract class, it is meant to be subclassed with a specific, protocol dependent, implementation.

It provides an immutable object used by sockets for binding, connecting, or as returned values.

Since:
  1.4
See Also:
  - `Socket`
  - `ServerSocket`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SocketAddress()`
Constructor for subclasses to call.

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SocketAddress

public SocketAddress()
Constructor for subclasses to call.